﻿using EonaCat.Quic.Connections;
using EonaCat.Quic.Streams;

namespace EonaCat.Quic.Events
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    public delegate void ClientConnectedEvent(QuicConnection connection);

    public delegate void StreamOpenedEvent(QuicStream stream);

    public delegate void StreamDataReceivedEvent(QuicStream stream, byte[] data);

    public delegate void ConnectionClosedEvent(QuicConnection connection);
}