﻿using EonaCat.Quic.Helpers;

namespace EonaCat.Quic.Infrastructure.Frames
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    /// <summary>
    /// Data encapsulation unit for a Packet.
    /// </summary>
    public abstract class Frame
    {
        public abstract byte Type { get; }

        public abstract byte[] Encode();

        public abstract void Decode(ByteArray array);
    }
}