﻿using EonaCat.Quic.Helpers;

namespace EonaCat.Quic.InternalInfrastructure
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    internal class ConnectionData
    {
        public PacketWireTransfer PWT { get; set; }
        public IntegerParts ConnectionId { get; set; }
        public IntegerParts PeerConnectionId { get; set; }

        public ConnectionData(PacketWireTransfer pwt, IntegerParts connectionId, IntegerParts peerConnnectionId)
        {
            PWT = pwt;
            ConnectionId = connectionId;
            PeerConnectionId = peerConnnectionId;
        }
    }
}