﻿using EonaCat.Quic.Connections;
using EonaCat.Quic.Streams;

namespace EonaCat.Quic.Events
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    public class QuicStreamEventArgs
    {
        public QuicStream Stream { get; set; }
        public byte[] Data { get; set; }
    }

    public class QuicConnectionEventArgs
    {
        public QuicConnection Connection { get; set; }
    }
}